package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcProjectConfigModel = (*customDcProjectConfigModel)(nil)

type (
	// DcProjectConfigModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcProjectConfigModel.
	DcProjectConfigModel interface {
		dcProjectConfigModel
	}

	customDcProjectConfigModel struct {
		*defaultDcProjectConfigModel
	}
)

// NewDcProjectConfigModel returns a model for the database table.
func NewDcProjectConfigModel(conn sqlx.SqlConn) DcProjectConfigModel {
	return &customDcProjectConfigModel{
		defaultDcProjectConfigModel: newDcProjectConfigModel(conn),
	}
}
