package svc

import (
	"GtDataStore/app/cmd/api/internal/config"
	"GtDataStore/app/cmd/organization/organization"
	"github.com/zeromicro/go-zero/zrpc"
)

type ServiceContext struct {
	Config          config.Config
	OrganizationRpc organization.Organization
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config:          c,
		OrganizationRpc: organization.NewOrganization(zrpc.MustNewClient(c.OrganizationRpcConf)),
	}
}
